cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Kemp <drk...@google.com>
Subject Re: build failure
Date Sat, 19 Oct 2013 01:27:39 GMT
Hi Tim,
That has indeed fixed the master branch, but the 3.1 release branch still
has the problem. I currently always build with the latest tool chain
(plugman) so a non backward-compatible change to plugman will be an issue.

That would require that the fix to mobilespec be back-patched to 3.1 as
well. Not sure if that has any other side-effects.




On Fri, Oct 18, 2013 at 8:59 PM, Tim Kim <timkim85@gmail.com> wrote:

> Hey there David,
>
> I just committed a fix for mobile spec. I believe the problem was that the
> engine tag in cordova-mobile-spec/dependencies-plugin/plugin.xml needed to
> have a patch portion to the version.
>
>
> On 18 October 2013 17:48, David Kemp <drkemp@chromium.org> wrote:
>
> > Builds are failing due to an inability to add plugins.
> >
> > This started about 8:2pm with three plugman commits by Tim Kim
> >
> > error text:
> >
> > Fetching plugin from "../cordova-mobile-spec/dependencies-plugin"...
> > Starting installation of "org.cordova.mobile-spec-dependencies" for
> > ios[Error: Different version string format detected. Unable to compare
> > to versions. Please check the output from your version script and the
> > engine tag in your plugin.xml.
> >
>
>
>
> --
> Timothy Kim
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message